/***************************************************************************

  joystick.h

  Joystick devices component

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 1, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************/

#ifndef __JOYSTICK_H
#define __JOYSTICK_H

#include "gambas.h"

#include "joydev.h"

typedef
	struct {
		GB_BASE ob;
		joyinfo joy;
		joyevent event;
	}
	CJOYSTICK;

#ifndef __JOYSTICK_C
extern GB_DESC CJoystickDesc[];
#else

#define THIS      ((CJOYSTICK *)_object)
#define JOYSTICK  ((CJOYSTICK *)_object)->joy
#define JOYEVENT  ((CJOYSTICK *)_object)->event

#endif /* __JOYSTICK_C */
#endif /* __JOYSTICK_H */
